//===========================================================================
// Name:			outlaw_t.c
// Function:		chat lines for outlaw
// Author:			Raven (mostly)
//===========================================================================

//example initial chats

chat "outlaw"
{
	//the teamplay.h file is included for all kinds of teamplay chats
	#include "teamplay.h"

	//======================================================
	//======================================================

	// Initiated when the bot enters the game
	// 0 = bot name
	type "game_enter" 
	{
		"Whatta ya say there? GOODBUDDY!";
		"Prepare to lose.";
		"Prepare to be fragged.";
		"";
	}

	// Initiated when the bot exits the game
	// 0 = bot name
	type "game_exit" 
	{
		"I've got things to see, and people to do. I'm outtie!";
	}

	// Initiated when a new level starts
	// 0 = bot name
	type "level_start" 
	{
		"Here we go again.";
	}

	// Initiated when a level ends and the bot is not first and not last in the rankings
	// 0 = bot name
	// 2 = opponent in first place
	// 3 = opponent in last place
	type "level_end" 
	{
		"Damnit!  I didn't win.  ARRGGHHHHH!!!!!";
		"Hey ", 2,".  How's the weather up there?";
		"Hey ", 3,".  How's the weather down there?";
	}

	// Initiated when a level ends and the bot is first in the rankings
	// 0 = bot name
	type "level_end_victory" 
	{
		"That's right, BEOCHES!";
	}

	// Initiated when a level ends and the bot is last in the rankings
	// 0 = bot name
	// 2 = opponent in first place
	type "level_end_lose" 
	{
		"Allright.  It's official.  I SUCK.";
		"I think ", 2," cheated!";
	}

	//======================================================
	//======================================================

	// Bot is hit while chat balloon is visible; lecture attacker on poor sportsmanship
	//0 = shooter
	type "hit_talking" 
	{
		"Hey ", 0,".  Do you always have to cheat to get ahead?";
		"Cheater!";
		"You're gonna die now!";
		"You're gonna die BITCH!";
		"How DARE you shoot me while I'm chatting?";
	}

	// Bot is hit by an opponent's weapon attack; either praise or insult
 	//0 = shooter
	type "hit_nodeath" 
	{			
		"Care to try that again?";
		"Care to try again, ", 0,"?";
		"You suck!";
		"Uhh, you missed.  BUTTMUNCH!";
	}

	// Bot hits an opponent but does not kill it
 	//0 = opponent
	type "hit_nokill" 
	{
		"I'll get ya next time ", 0,".";
		"Oh ", 0,", who's your DADDY?";
	}

	//======================================================
	//======================================================

	// Initiated when the bot is killed by a telefrag
 	// 0 = enemy name
	type "death_telefrag" 
	{
		"Transporting in to me the only way you can kill me?";
		"That's right.  Transporting in to me is the only way you can kill me.";
	}

	// Initiated when the bot is killed by taking "normal" falling damage
	// 0 = enemy name
	type "death_cratered" 
	{
		"Ouch.";
		"I meant to do that.";
	}

	// Initiated when the bot dies in lava
	// 0 = enemy name
	type "death_lava" 
	{
		"Chet's nuts roasting on an open fire...... LOL";
	}

	// Initiated when the bot dies in slime
	// 0 = enemy name
	type "death_slime" 
	{
		"It slimed me.";
	}

	// Initiated when the bot drowns
	// 0 = enemy name
	type "death_drown" 
	{
		"glub glub glub";
		"rub a dub dub";
	}

	// Initiated when bot blows self up with a weapon or craters
	// 0 = enemy name
	type "death_suicide" 
	{
		"Damn those fast timers.";
		"I really did mean to do that.";
	}

	// Insult initiated when the bot died
	// 0 = enemy name
	type "death_insult" 
	{
		"I'll get you for this ", 0,"!";
		"Hey ", 0,". Paybacks are a bitch.";
	}

	// Praise initiated when the bot died
	// 0 = enemy name
	type "death_praise" 
	{
		"Good comeback ", 0,".  Now wipe it off your chin.";
		"Lucky shot.";
	}

	//======================================================
	//======================================================

	// Initiated when the bot telefragged someone
	// 0 = enemy name
	type "kill_telefrag" 
	{
		"Outta the way, slowpoke.";
		"Move it, or lose it.";
		"Sorry ", 0,".  Not!";
	}

	// Insult initiated when the bot killed someone
	// 0 = enemy name
	type "kill_insult" 
	{
		"Another one bites the dust.";
		"Too easy.";
		"Have you EVER played this game before?";
	}

	// Praise initiated when the bot killed someone
	// 0 = enemy name
	type "kill_praise" 
	{
		"One down.  Many more to go.";
	}

	//======================================================
	//======================================================

	// Insult initiated randomly (just when the bot feels like it)
	// 0 = name of randomly chosen player
	// 1 = bot name
	type "random_insult" 
	{
		"Time for you to die.....";
		"You're gonna get it.";
	}

	// Miscellaneous chats initiated randomly
	// 0 = name of randomly chosen player
	// 1 = bot name
	type "random_misc" 
	{
		"Hey.  How's the weather over there?";
		"Well, looky here!";
	}
}

