//===========================================================================
// Name:			stryker_t.c
// Function:		chat lines for stryker
// Author:			Raven/Stryker
//===========================================================================

//example initial chats

chat "stryker"
{
	//the teamplay.h file is included for all kinds of teamplay chats
	#include "teamplay.h"

	//======================================================
	//======================================================

	// Initiated when the bot enters the game
	// 0 = bot name
	type "game_enter" 
	{
		"Whassuppppppppp?";
	}

	// Initiated when the bot exits the game
	// 0 = bot name
	type "game_exit" 
	{
		"It's fried rice, you plick!";
	}

	// Initiated when a new level starts
	// 0 = bot name
	type "level_start" 
	{
		"Let's rock and roll.";
	}

	// Initiated when a level ends and the bot is not first and not last in the rankings
	// 0 = bot name
	// 2 = opponent in first place
	// 3 = opponent in last place
	type "level_end" 
	{
		"I think ", 2, " cheated.";
		"Hey ", 3,", how's the weather down there?";
	}

	// Initiated when a level ends and the bot is first in the rankings
	// 0 = bot name
	type "level_end_victory" 
	{
	}

	// Initiated when a level ends and the bot is last in the rankings
	// 0 = bot name
	// 2 = opponent in first place
	type "level_end_lose" 
	{
		"I REALLY think ", 2, " cheated.";
	}

	//======================================================
	//======================================================

	// Bot is hit while chat balloon is visible; lecture attacker on poor sportsmanship
	//0 = shooter
	type "hit_talking" 
	{
		"Cheater.";
		"You suck.";
	}

	// Bot is hit by an opponent's weapon attack; either praise or insult
 	//0 = shooter
	type "hit_nodeath" 
	{			
		"You missed.";
	}

	// Bot hits an opponent but does not kill it
 	//0 = opponent
	type "hit_nokill" 
	{
		"Come 'ere ya squirrely bastard.";
	}

	//======================================================
	//======================================================

	// Initiated when the bot is killed by a telefrag
 	// 0 = enemy name
	type "death_telefrag" 
	{
		"Arghhhh!!  Death by transporter!";
	}

	// Initiated when the bot is killed by taking "normal" falling damage
	// 0 = enemy name
	type "death_cratered" 
	{
		"I meant to do that.";
	}

	// Initiated when the bot dies in lava
	// 0 = enemy name
	type "death_lava" 
	{
		"Is it hot in here, or is it just me?";
	}

	// Initiated when the bot dies in slime
	// 0 = enemy name
	type "death_slime" 
	{
		"Glub glub glub.";
	}

	// Initiated when the bot drowns
	// 0 = enemy name
	type "death_drown" 
	{
		"I forgot my SCUBA gear.";
	}

	// Initiated when bot blows self up with a weapon or craters
	// 0 = enemy name
	type "death_suicide" 
	{
	}

	// Insult initiated when the bot died
	// 0 = enemy name
	type "death_insult" 
	{
	}

	// Praise initiated when the bot died
	// 0 = enemy name
	type "death_praise" 
	{
	}

	//======================================================
	//======================================================

	// Initiated when the bot telefragged someone
	// 0 = enemy name
	type "kill_telefrag" 
	{
		"Oops.";
	}

	// Insult initiated when the bot killed someone
	// 0 = enemy name
	type "kill_insult" 
	{
	}

	// Praise initiated when the bot killed someone
	// 0 = enemy name
	type "kill_praise" 
	{
	}

	//======================================================
	//======================================================

	// Insult initiated randomly (just when the bot feels like it)
	// 0 = name of randomly chosen player
	// 1 = bot name
	type "random_insult" 
	{
		"Take off, eh.";
	}

	// Miscellaneous chats initiated randomly
	// 0 = name of randomly chosen player
	// 1 = bot name
	type "random_misc" 
	{
		"Whassup, homely?.";
	}
}

