textures/a_mkb/rgb_0_128_0
{
    qer_editorimage textures/a_mkb/rgb_0_128_0.tga
    surfaceparm nolightmap
    surfaceparm trans
    {
        map textures/a_mkb/rgb_0_128_0.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/a_mkb/rgb_0_64_64
{
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    {
        map textures/a_mkb/rgb_0_64_64.tga
        blendFunc GL_ONE GL_ONE
        tcMod scroll 12 12
    }
}

textures/a_mkb/rgb_128_0_128
{
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    {
        map textures/a_mkb/rgb_128_0_128.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/a_mkb/rgb_255_0_0
{
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    {
        map textures/a_mkb/rgb_255_0_0.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/a_mkb/rgb_0_255_0
{
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    {
        map textures/a_mkb/rgb_0_255_0.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/a_mkb/rgb_r2b
{
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    {
        map textures/a_mkb/rgb_r2b.tga
        blendFunc GL_ONE GL_ONE
        tcMod scroll 0.5 0.5
    }
}

textures/a_mkb/arrow_red
{
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm nonsolid
    {
        map textures/a_mkb/arrow_red.tga
        blendFunc GL_ONE GL_ONE
        tcMod scroll 0 0.5
    }
}

textures/a_mkb/arrow_blue
{
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm nonsolid
    {
        map textures/a_mkb/arrow_blue.tga
        blendFunc GL_ONE GL_ONE
        tcMod scroll 0 0.5
    }
}

textures/a_mkb/arrow_white
{
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    {
        map textures/a_mkb/arrow_white.tga
        blendFunc GL_ONE GL_ONE
        tcMod scroll 0 0.5
    }
}

textures/a_mkb/decal1
{
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    polygonOffset
    {
        map textures/a_mkb/decal1.tga
        alphaFunc GT0
        blendFunc GL_DST_COLOR GL_SRC_COLOR
	tcmod scroll 0 0.5
    }
}

textures/a_mkb/static_blue
{
    qer_trans 0.5
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    {
        map textures/a_mkb/static_blue.tga
        blendFunc GL_ONE GL_ONE
        tcMod scroll 1292.7 11233.9
    }
}

textures/a_mkb/static_green
{
    qer_trans 0.5
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    {
        map textures/a_mkb/static_green.tga
        blendFunc GL_ONE GL_ONE
        tcMod scroll 1292.7 11233.9
    }
}

textures/a_mkb/static_red
{
    qer_trans 0.5
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    {
        map textures/a_mkb/static_red.tga
        blendFunc GL_ONE GL_ONE
        tcMod scroll 1292.7 11233.9
    }
}

textures/a_mkb/static_yellow
{
    qer_trans 0.5
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    {
        map textures/a_mkb/static_yellow.tga
        blendFunc GL_ONE GL_ONE
        tcMod scroll 1292.7 11233.9
    }
}

textures/a_mkb/energy_portal
{
    qer_editorimage textures/common/qer_portal.tga
    surfaceparm nolightmap
    portal
    {
        map textures/a_mkb/black.tga
        blendFunc GL_ONE_MINUS_DST_COLOR GL_ONE_MINUS_SRC_ALPHA
        depthWrite
        alphaGen portal 256
    }
}

textures/a_mkb/whitelight
{
    qer_editorimage textures/a_mkb/white.tga
    q3map_surfacelight 2500
	light 75
	surfaceparm nolightmap
	surfaceparm nonsolid
    {
     map textures/a_mkb/white.tga
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/a_mkb/stsky
{
    q3map_lightimage textures/holodeck_temple/lightcyan.tga
    qer_editorimage textures/common/sky.tga
    q3map_surfacelight 500
    surfaceparm noimpact
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm sky
    q3map_sun 1 1 1 30 90 55
    skyParms env/camelot 512 -
    {
        map textures/holodeck_temple/clouds.tga
        blendFunc GL_ONE GL_ONE
        tcMod scale 4 4
        tcMod scroll 0.015 0.01
    }
    {
        map textures/holodeck_temple/clouds2.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        tcMod scale 3 3
        tcMod scroll 0.005 0.025
    }
}


textures/a_mkb/orangeglass_power
{
    qer_editorimage textures/engineering/glass1.tga
    {
        map textures/engineering/glass1.tga
        blendFunc GL_ONE GL_ONE
    }
    {
        map textures/a_mkb/orange.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave square 1 1 0 1
// rgbgen whichfunc, base color, amplitude of change, phase, frequency 
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/a_mkb/liquid1
{
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm water
    {
        //scrollparms 0.25 0.25 0.1 0.2
        map textures/a_mkb/water1.jpg
        blendFunc GL_SRC_ALPHA GL_ONE
        rgbGen wave sin 0.5 0.15 2 0.4
        tcMod scale 0.25 0.25
        tcMod scroll 0.1 0.2
    }
    {
        //scrollparms 0.25 0.25 -0.2 -0.1
        map textures/a_mkb/water2.jpg
        blendFunc GL_SRC_ALPHA GL_ONE
        rgbGen wave sin 0.5 0.25 2 0.1
        tcMod scale 0.25 0.25
        tcMod scroll -0.2 -0.1
    }
}